<?php
/*
* Pixel Point Creative Premiere Gallery Module for Joomla! 
* License: GNU General Public License version 2 http://www.gnu.org/copyleft/gpl.html
* Copyright (c)2012 Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
if (!class_exists('SjThumbnailMode') && class_exists('JFormField')){
	class JFormFieldSjThumbnailMode extends JFormField {
		var $_mode = array('none', 'center', 'fill', 'fit', 'stretch');
		function getInput(){
			$html = "";
			if (count($this->_mode)>0){
				$html = '<select class="inputbox" id="' . $this->id .'" name="' . $this->name . '" style="width:132px;">';
				foreach ($this->_mode as $mode){
					$selected = $mode == $this->value ? 'selected="selected"' : '';
					$html .= '<option value="' . $mode . '" ' . $selected . '>' . JText::_(ucfirst($mode)) . '</option>';
				}
				$html .= '<select>';
			}
			$html .= "<br>"
				. "<div class=\"ppc_description\" style=\"padding: 5px 0 0 0;\">
						<img src=\"data:image/gif;base64,R0lGODlhAQABAJEAAAAAAP///////wAAACH5BAUUAAIALAAAAAABAAEAAAICVAEAOw==\" alt=\"PPC Thumbnail Modes\" style=\"background:url(../modules/mod_premieregallery/assets/thumbmode.png) no-repeat;width:400px; height: 60px;\"/>
					</div>";
			return $html;
	}
}
}