<?php
/*
* Pixel Point Creative Premiere Gallery Module for Joomla! 
* License: GNU General Public License version 2 http://www.gnu.org/copyleft/gpl.html
* Copyright (c)2012 Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
$document =& JFactory::getDocument();
$mh = $lheight;
if ($show_thumb) {
	$mh = $lheight + $theight;
}
$styles = '.pxs_premieregallery'. $module->id .' { width: '. ($lwidth) .'px;height: '. ($lheight + $theight).'px;margin:auto; }';
$styles .= '#loader'. $module->id .' { width: '. ($lwidth) .'px;height: '. ($lheight + $theight + 10).'px; }';
$styles .= '#ps_container'. $module->id .' { width: '. $lwidth .'px;height: '. ($lheight + $theight).'px; }';
$styles .= '#ps_container'. $module->id .' .ps_image_wrapper { width: '. $lwidth .'px;height: '. $lheight .'px; }';
$styles .= '#ps_container'. $module->id .' .ps_preview_wrapper { width: '. ($twidth) .'px;height: '. ($theight) .'px; }';
$styles .= '#ps_container'. $module->id .' ul.ps_nav li.ps_preview { width: '. ($twidth + 10) .'px;height: '. ($theight + 16) .'px; top: -'. ($theight + 20) .'px; left: -'. (intval($twidth/2) - 0.5) .'px;}';
$styles .= '#ps_container'. $module->id .' ul.ps_nav li.ps_preview span { top: '. ($theight + 10) .'px; left: '. (intval($twidth/2) - 2) .'px;}';
$styles .= '#ps_container'. $module->id .' ul.ps_nav { margin: 20px auto;}';
$styles .= '#ps_container'. $module->id .' .ps_caption { width: '. ($lwidth-14) .'px; height: 23px; top: '. ($lheight - 36) .'px;}';
//$styles .= '#ps_container'. $module->id .' .pxs_slider_wrapper { width: '. ($lwidth + $twidth) .'px;  height: '. ($mh + 120) .'px;}';
$document->addStyleDeclaration($styles);
$idx = -1;
$dots = 18;


?>
<?php if (isset($items['imgs']) && sizeof($items['imgs']) > 0):?>
<div class="pxs_premieregallery<?php echo $module->id?>">
	<div id="loader<?php echo $module->id?>" class="loader"></div>
	<div id="ps_container<?php echo $module->id?>" class="ps_container">
		<div class="ps_image_wrapper">
			<!-- First initial image -->
			<?php foreach($items['imgs'] as $k => $item):?>
				<?php if ($k == $item_default):
					$idx = $k;		
					$oclk = '';	
					if (isset($items['target'][$k]))	{
						if ( $items['target'][$idx] == '_blank') {							
							$oclk = 'onclick="javascript: window.open(\''. $items['urls'][$k] .'\')"';
						} else {
							$oclk = 'onclick="javascript: location.href=\''. $items['urls'][$k] .'\'"';
						}
					}
				?>
					<img <?php echo $oclk;?> src="<?php echo $item?>" alt="<?php echo (isset($items['captions'][$k]) ? $items['captions'][$k] : '')?>" />
				<?php endif;?>
			<?php endforeach;?>
		</div>
		<?php
			
			$cls = 'ps_hide';
			if ($idx != -1 && $showCaption && isset($items['captions'][$idx]) && trim($items['captions'][$idx]) != '') $cls = 'ps_show';
		?>
		<div class="ps_caption <?php echo $cls;?>">
		<?php if($showCaption && isset($items['captions'][$idx]) && trim($items['captions'][$idx]) != ''):?>
		 <?php if(isset($items['urls'][$idx]) && $items['urls'][$idx] != '') {?>
		 <?php echo '<a class="linkme" href="'. $items['urls'][$idx] .'" '. (isset($items['target'][$idx]) ? 'target="' . $items['target'][$idx]. '"' : '') .'>'. $items['captions'][$idx] . '</a>';?> 
		<?php }else {?>
	   <?php echo $items['captions'][$idx];?>
		<?php } ?>
		<?php endif;?>
		</div>
		<!-- Navigation items -->
		<?php if($show_button):?>
		<div class="ps_next"></div>
		<div class="ps_prev"></div>
		<?php endif ?>
		
		
		<!-- Dot list with thumbnail preview -->
		<div style="display:<?php echo $showNav?>;width:<?php echo (($k + 1) * $dots)?>px;margin:auto">
		
		
		<ul class="ps_nav">
			<?php foreach($items['imgs'] as $k => $item):?>
			<?php if ($k == $item_default):?>		
			<li class="selected">
			<?php else: ?>
			<li>
			<?php endif;?>
			<?php if(isset($items['thumbs'][$k]) && $items['thumbs'][$k] != '') {?>
			<?php 
			$url = '';
			$caption = '';
			$target = '';
			if(isset($items['urls'][$k]) && $items['urls'][$k] != '') {
				$url = $items['urls'][$k];
			}
			if(isset($items['captions'][$k]) && $items['captions'][$k] != '') {
				$caption = $items['captions'][$k];
			} 
			if(isset($items['target'][$k]) && $items['target'][$k] != '') {
				$target = $items['target'][$k];
			} 			
			?>
			<?php echo '<a href="'.  $item .'" rel="'.  $items['thumbs'][$k] .'"  title="'. $url .'" rev="'. $caption .'" class="'. $target .'">'. $caption . '</a>';?>
			<?php } ?></li>
			<?php endforeach;?>
			<?php if($show_thumb):?>
			
			<li class="ps_preview">
				<div class="ps_preview_wrapper">
					<!-- Thumbnail comes here -->
				</div>
				<!-- Little triangle -->
				<span></span>
			</li>
			<?php endif;?>
		</ul>
		</div>  
		
	</div>      
 </div>
<script type="text/javascript">
// <![CDATA[ 	
			var showCaption = <?php echo intval($showCaption);?>;
	
			/*
			the images preload plugin
			*/
			(function($) {
				$.fn.preload = function(options) {
					var opts 	= $.extend({}, $.fn.preload.defaults, options),
						o		= $.meta ? $.extend({}, opts, this.data()) : opts;
					return this.each(function() {
						var $e	= $(this),
							t	= $e.attr('rel'),
							i	= $e.attr('href'),
							l	= 0;
						$('<img/>').load(function(i){
							++l;
							if(l==2) o.onComplete();
						}).attr('src',i);	
						$('<img/>').load(function(i){
							++l;
							if(l==2) o.onComplete();
						}).attr('src',t);	
					});
				};
				$.fn.preload.defaults = {
					onComplete	: function(){return false;}
				};
			})(jQuery);
			
			(function($) {
				//some elements..				
				var $ps_container		= $('#ps_container<?php echo $module->id?>'),
					$ps_image_wrapper 	= $ps_container.find('.ps_image_wrapper'),
					$ps_next			= $ps_container.find('.ps_next'),
					$ps_prev			= $ps_container.find('.ps_prev'),
					$ps_nav				= $ps_container.find('.ps_nav'),
					$tooltip			= $ps_container.find('.ps_preview'),
					$ps_preview_wrapper = $tooltip.find('.ps_preview_wrapper'),
					$ps_caption 		= $ps_container.find('.ps_caption'),
					$links				= $ps_nav.children('li').not($tooltip),
					total_images		= $links.length,
					currentHovered		= -1,
					current				= <?php echo $item_default?>,
					$loader				= $('#loader<?php echo $module->id?>');
				
				/*check if you are using a browser*/	
				var ie 				= false;
				if ($.browser.msie) {
					ie = true;//you are not!Anyway let's give it a try
				}
				if(!ie)
					$tooltip.css({
						opacity	: 0
					}).show();
					
					
				/*first preload images (thumbs and large images)*/
				var loaded	= 0;
				$links.each(function(i){
					var $link 	= $(this);
					$link.find('a').preload({
						onComplete	: function(){
							++loaded;
							if(loaded == total_images){
								//all images preloaded,
								//show ps_container and initialize events
								$loader.hide();
								$ps_container.show();
								//when mouse enters the pages (the dots),
								//show the tooltip,
								//when mouse leaves hide the tooltip,
								//clicking on one will display the respective image	
								$links.bind('mouseenter',showTooltip)
									  .bind('mouseleave',hideTooltip)
									  .bind('click',showImage);
								//navigate through the images
								$ps_next.bind('click',nextImage);
								$ps_prev.bind('click',prevImage);
							}
						}
					});
				});
				
				function showTooltip(){
					var $link			= $(this),
						idx				= $link.index(),
						linkOuterWidth	= $link.outerWidth(),
						//this holds the left value for the next position
						//of the tooltip
						left			= parseFloat(idx * linkOuterWidth) - $tooltip.width()/2 + linkOuterWidth/2,
						//the thumb image source
						$thumb			= $link.find('a').attr('rel'),
						imageLeft;
					
					//if we are not hovering the current one
					if(currentHovered != idx){
						//check if we will animate left->right or right->left
						if(currentHovered != -1){
							if(currentHovered < idx){
								imageLeft	= 75;
							}
							else{
								imageLeft	= -75;
							}
						}
						currentHovered = idx;
						
						//the next thumb image to be shown in the tooltip
						var $newImage = $('<img/>').css('left','0px')
												   .attr('src',$thumb);
						
						//if theres more than 1 image 
						//(if we would move the mouse too fast it would probably happen)
						//then remove the oldest one (:last)
						if($ps_preview_wrapper.children().length > 1)
							$ps_preview_wrapper.children(':last').remove();
						
						//prepend the new image
						$ps_preview_wrapper.prepend($newImage);
						
						var $tooltip_imgs		= $ps_preview_wrapper.children(),
							tooltip_imgs_count	= $tooltip_imgs.length;
							
						//if theres 2 images on the tooltip
						//animate the current one out, and the new one in
						if(tooltip_imgs_count > 1){
							$tooltip_imgs.eq(tooltip_imgs_count-1)
										 .stop()
										 .animate({
											left:-imageLeft+'px'
										  },150,function(){
												//remove the old one
												$(this).remove();
										  });
							$tooltip_imgs.eq(0)
										 .css('left',imageLeft + 'px')
										 .stop()
										 .animate({
											left:'0px'
										  },150);
						}
					}
					//if we are not using a "browser", we just show the tooltip,
					//otherwise we fade it
					//
					if(ie)
						$tooltip.css('left',left + 'px').show();
					else
					$tooltip.stop()
							.animate({
								left		: left + 'px',
								opacity		: 1
							},150);
				}
				
				function hideTooltip(){
					//hide / fade out the tooltip
					if(ie)
						$tooltip.hide();
					else
					$tooltip.stop()
						    .animate({
								opacity		: 0
							},150);
				}
				
				function showImage(e){
					var $link				= $(this),
						idx					= $link.index(),
						$image				= $link.find('a').attr('href'),
						$currentImage 		= $ps_image_wrapper.find('img'),
						currentImageWidth	= $currentImage.width();
					
					//if we click the current one return
					if(current == idx) return false;
					
					//add class selected to the current page / dot
					$links.eq(current).removeClass('selected');
					$link.addClass('selected');
					
					//the new image element
					var $newImage = $('<img/>').css('left',currentImageWidth + 'px')
											   .attr('src',$image);
					var target = $link.find('a').attr("class");
					var caption = $link.find('a').attr("rev");
					var url = $link.find('a').attr("title");
					if ($link.find('a').attr("title") != undefined && $link.find('a').attr("title") != "") {
						$newImage.addClass("clickable");
					}
					$ps_caption.removeClass('ps_hide');
					if (caption != '' && showCaption == 1 && caption != undefined) {						
						$ps_caption.addClass('ps_show');						
						if ($link.find('a').attr("title") != undefined && $link.find('a').attr("title") != "") {
						
						var ht = '<a href="'+ url +'" target="'+ target +'">'+ caption +'</a>';
						} else {
							var ht = caption;
						}
						
						$ps_caption.html(ht);
					} else {
						$ps_caption.addClass('ps_hide');
					}
					
					$newImage.click(function() {						
						if ($link.find('a').attr("title") != undefined && $link.find('a').attr("title") != "") {							
							
							if (target == '_blank') {
								window.open(url);
							} else {
								location.href = $link.find('a').attr("title");
							}
							
						} else {
							return false;
						}
					});
					
					//if the wrapper has more than one image, remove oldest
					if($ps_image_wrapper.children().length > 1)
						$ps_image_wrapper.children(':last').remove();
					
					//prepend the new image
					$ps_image_wrapper.prepend($newImage);
					
					//the new image width. 
					//This will be the new width of the ps_image_wrapper
					var newImageWidth	= $newImage.width();
				
					//check animation direction
					if(current > idx){
						$newImage.css('left',-newImageWidth + 'px');
						currentImageWidth = -newImageWidth;
					}	
					current = idx;
					//animate the new width of the ps_image_wrapper 
					//(same like new image width)
					$ps_image_wrapper.stop().animate({
					    width	: newImageWidth + 'px'
					},350);
					//animate the new image in
					$newImage.stop().animate({
					    left	: '0px'
					},350);
					//animate the old image out
					$currentImage.stop().animate({
					    left	: -currentImageWidth + 'px'
					},350);
				
					e.preventDefault();
				}				
				
				/*function nextImage(){
					if(current < total_images){
						$links.eq(current+1).trigger('click');
					}
				}*/
				/*var gotoLoop = 0;
				function nextImage(){
					$links.eq(current+1).trigger(?click?);
					if (gotoLoop == 1) {
						$links.eq(0).trigger(?click?);
						gotoLoop = 0;
					}
					if (current == total_images-1){
						gotoLoop = 1;
					}
				}
				function prevImage(){
					if(current > 0){
						$links.eq(current-1).trigger('click');
					}
				}*/
				
				var gotoLoop = 0;
				var backLoop = 1;
				
				function nextImage(){
					$links.eq(current+1).trigger("click");
					backLoop = 0;
					if (gotoLoop == 1) {
						$links.eq(0).trigger("click");
						gotoLoop = 0;
					}
					if (current == total_images-1){
						gotoLoop = 1;
					}
				
				}
				
				function prevImage(){
					if(current > 0){
						$links.eq(current-1).trigger("click");
					}
					if (backLoop == 1) {
						$links.eq(total_images-1).trigger("click");
						backLoop = 0;
					}
					
					if (current == 0) {
						backLoop = 1;
					}
				
				}
				
				<?php if ($auto_play && $speed2 > 0):?>
				setInterval( nextImage ,<?php echo $speed2;?> );
				<?php endif;?>
			})(jQuery);
 // ]]>       
</script>
<?php endif;?>
